com.pixelmed.apps

## Class DownloadOrTransmit.OurSourceDatabaseTreeBrowser

- java.lang.Object
- - com.pixelmed.database.DatabaseTreeBrowser
  - - com.pixelmed.apps.DownloadOrTransmit.OurSourceDatabaseTreeBrowser

Enclosing class:
  DownloadOrTransmit

    protected class DownloadOrTransmit.OurSourceDatabaseTreeBrowser
    extends DatabaseTreeBrowser

### Constructor Summary

Constructors
Constructor and Description
`DownloadOrTransmit.OurSourceDatabaseTreeBrowser(DatabaseInformationModel d, java.awt.Container content)`

### Method Summary

Methods
`protected javax.swing.event.TreeSelectionListener` `buildTreeSelectionListenerToDoSomethingWithSelectedFiles()` Override this method to perform application-specific behavior when an entity is selected in the tree browser.
`protected void` `doSomethingMoreWithWhateverWasSelected()` Will be called when a double-click event is detected unless `buildMouseListenerToDetectDoubleClickEvents` is overriden to do something else.

### Methods inherited from class com.pixelmed.database.DatabaseTreeBrowser

`buildMouseListenerToDetectDoubleClickEvents, buildTreeSelectionListenerToDisplayAttributesOfSelectedRecord, doSomethingWithSelectedFiles, doSomethingWithSelections, getSelectionPaths, recurseThroughChildrenGatheringFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DownloadOrTransmit.OurSourceDatabaseTreeBrowser

    public DownloadOrTransmit.OurSourceDatabaseTreeBrowser(DatabaseInformationModel d,
                                                   java.awt.Container content)
                                                    throws DicomException

Throws:
  `DicomException`

### Method Detail

#### buildTreeSelectionListenerToDoSomethingWithSelectedFiles

    protected javax.swing.event.TreeSelectionListener buildTreeSelectionListenerToDoSomethingWithSelectedFiles()

Description copied from class: `DatabaseTreeBrowser`

Override this method to perform application-specific behavior when an entity is selected in the tree browser.

By default, this method calls `doSomethingWithSelections`, then if that returns false, for each of the selected records (and there may be more than one), adds to a `Vector` of file names (paths) of that record and the subtrees below it, then calls `doSomethingWithSelectedFiles`.

Overrides:
  `buildTreeSelectionListenerToDoSomethingWithSelectedFiles` in class `DatabaseTreeBrowser`

#### doSomethingMoreWithWhateverWasSelected

    protected void doSomethingMoreWithWhateverWasSelected()

Description copied from class: `DatabaseTreeBrowser`

Will be called when a double-click event is detected unless `buildMouseListenerToDetectDoubleClickEvents` is overriden to do something else.

Overrides:
  `doSomethingMoreWithWhateverWasSelected` in class `DatabaseTreeBrowser`